//      NoneCompression.cxx
//
//      Copyright 2011 Andreas Tscharner <andy@vis.ethz.ch>
//
//      This program is free software; you can redistribute it and/or modify
//      it under the terms of the GNU Lesser General Public License as
//      published by the Free Software Foundation; either version 3 of the
//      License, or (at your option) any later version.
//
//      This program is distributed in the hope that it will be useful,
//      but WITHOUT ANY WARRANTY; without even the implied warranty of
//      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//      GNU General Public License for more details.
//
//      You should have received a copy of the GNU Lesser General Public
//      License along with this program; if not, write to the Free Software
//      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
//      MA 02110-1301, USA.


#include <string.h>
#include "../StatusCodes.hxx"
#include "NoneCompression.hxx"


int NoneCompression::compress(const unsigned char *p_decompData, size_t p_decompSize,
                              unsigned char **p_compData, size_t &p_compSize)
{
	*p_compData = new unsigned char[p_decompSize];
	memcpy(*p_compData, p_decompData, p_decompSize);
	p_compSize = p_decompSize;

	return NO_ERROR;
}

int NoneCompression::decompress(const unsigned char *p_compData, size_t p_compSize,
                                unsigned char **p_decompData, size_t &p_decompSize)
{
	*p_decompData = new unsigned char[p_compSize];
	memcpy(*p_decompData, p_compData, p_compSize);
	p_decompSize = p_compSize;

	return NO_ERROR;
}
