//      NoneEncryption.cxx
//
//      Copyright 2011 Andreas Tscharner <andy@vis.ethz.ch>
//
//      This program is free software; you can redistribute it and/or modify
//      it under the terms of the GNU Lesser General Public License as
//      published by the Free Software Foundation; either version 3 of the
//      License, or (at your option) any later version.
//
//      This program is distributed in the hope that it will be useful,
//      but WITHOUT ANY WARRANTY; without even the implied warranty of
//      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//      GNU General Public License for more details.
//
//      You should have received a copy of the GNU Lesser General Public
//      License along with this program; if not, write to the Free Software
//      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
//      MA 02110-1301, USA.


#include <string.h>
#include "../StatusCodes.hxx"
#include "NoneEncryption.hxx"


int NoneEncryption::encrypt(const unsigned char *p_key,
                            const unsigned char *p_clearData, size_t p_clearSize,
                            unsigned char **p_encData, size_t &p_encSize)
{
	*p_encData = new unsigned char[p_clearSize];
	memcpy(*p_encData, p_clearData, p_clearSize);
	p_encSize = p_clearSize;

	return NO_ERROR;
}

int NoneEncryption::decrypt(const unsigned char *p_key,
                            const unsigned char *p_encData, size_t p_encSize,
                            unsigned char **p_clearData, size_t &p_clearSize)
{
	*p_clearData = new unsigned char[p_encSize];
	memcpy(*p_clearData, p_encData, p_encSize);
	p_clearSize = p_encSize;

	return NO_ERROR;
}
